if RequiredScript == "lib/tweak_data/weaponfactorytweakdata" then

	local old_wftd_init = WeaponFactoryTweakData.init
	function WeaponFactoryTweakData:init()
		old_wftd_init(self)
		self:custom_dmr()
	end
	
	function WeaponFactoryTweakData:custom_dmr()
	self.parts.wpn_fps_upg_g36_fg_long.stats = {
			spread = 11,
			total_ammo_mod = -15,
			damage = 116,
			recoil = -4,
			value = 1,
			concealment = -6
	}
	self.parts.wpn_fps_upg_g36_fg_long.custom_stats = {
			ammo_pickup_max_mul = 0.13,
			ammo_pickup_min_mul = 0.1
	}
	self.parts.wpn_fps_ass_s552_b_long.stats = {
			spread = 10,
			total_ammo_mod = -15,
			damage = 118,
			recoil = -11,
			value = 6,
			concealment = -6
	}
	self.parts.wpn_fps_ass_s552_b_long.custom_stats = {
			ammo_pickup_max_mul = 0.13,
			ammo_pickup_min_mul = 0.1
	}
	self.parts.wpn_fps_ass_famas_b_sniper.stats = {
			spread = 11,
			total_ammo_mod = -15,
			damage = 119,
			recoil = -11,
			value = 2,
			concealment = -6
	}
	self.parts.wpn_fps_ass_famas_b_sniper.custom_stats = {
			ammo_pickup_max_mul = 0.13,
			ammo_pickup_min_mul = 0.1
	}
	self.parts.wpn_fps_ass_asval_b_proto.stats = {
			spread = 8,
			total_ammo_mod = -14,
			damage = 119,
			recoil = -11,
			value = 1,
			alert_size = 12,
			suppression = 12,
			concealment = -4
	}
	self.parts.wpn_fps_ass_asval_b_proto.custom_stats = {
			ammo_pickup_max_mul = 0.15,
			ammo_pickup_min_mul = 0.12
	}
	end
end